LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.UI.Frontend.ANSI

Description

Text frontend based on ANSI (via ansi-terminal).

Synopsis

- startup :: ScreenContent -> IO RawFrontend
- frontendName :: String

# Documentation

startup :: ScreenContent -> IO RawFrontend Source #

Starts the main program loop using the frontend input and output.

frontendName :: String Source #

The name of the frontend.